# Update a Configuration Updates a new `Configuration` object. ## Returns Returns a `Configuration` object if the update succeeds. ## Parameters - `bbpos_wisepos_e` (object, optional) An object containing device type specific settings for BBPOS WisePOS E readers - `bbpos_wisepos_e.splashscreen` (string, optional) A File ID representing an image you would like displayed on the reader. - `name` (string, optional) Name of the configuration - `offline` (object, optional) Configurations for collecting transactions offline. - `offline.enabled` (boolean, required) Determines whether to allow transactions to be collected while reader is offline. Defaults to false. - `reboot_window` (object, optional) Reboot time settings for readers that support customized reboot time configuration. - `reboot_window.end_hour` (integer, required) Integer between 0 to 23 that represents the end hour of the reboot time window. The value must be different than the start_hour. - `reboot_window.start_hour` (integer, required) Integer between 0 to 23 that represents the start hour of the reboot time window. - `stripe_s700` (object, optional) An object containing device type specific settings for Stripe S700 readers - `stripe_s700.splashscreen` (string, optional) A File ID representing an image you would like displayed on the reader. - `tipping` (object, optional) Tipping configurations for readers supporting on-reader tips - `tipping.aud` (object, optional) Tipping configuration for AUD - `tipping.aud.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.aud.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.aud.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.cad` (object, optional) Tipping configuration for CAD - `tipping.cad.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.cad.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.cad.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.chf` (object, optional) Tipping configuration for CHF - `tipping.chf.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.chf.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.chf.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.czk` (object, optional) Tipping configuration for CZK - `tipping.czk.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.czk.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.czk.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.dkk` (object, optional) Tipping configuration for DKK - `tipping.dkk.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.dkk.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.dkk.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.eur` (object, optional) Tipping configuration for EUR - `tipping.eur.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.eur.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.eur.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.gbp` (object, optional) Tipping configuration for GBP - `tipping.gbp.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.gbp.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.gbp.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.hkd` (object, optional) Tipping configuration for HKD - `tipping.hkd.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.hkd.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.hkd.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.myr` (object, optional) Tipping configuration for MYR - `tipping.myr.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.myr.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.myr.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.nok` (object, optional) Tipping configuration for NOK - `tipping.nok.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.nok.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.nok.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.nzd` (object, optional) Tipping configuration for NZD - `tipping.nzd.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.nzd.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.nzd.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.sek` (object, optional) Tipping configuration for SEK - `tipping.sek.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.sek.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.sek.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.sgd` (object, optional) Tipping configuration for SGD - `tipping.sgd.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.sgd.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.sgd.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `tipping.usd` (object, optional) Tipping configuration for USD - `tipping.usd.fixed_amounts` (array of integers, optional) Fixed amounts displayed when collecting a tip - `tipping.usd.percentages` (array of integers, optional) Percentages displayed when collecting a tip - `tipping.usd.smart_tip_threshold` (integer, optional) Below this amount, fixed amounts will be displayed; above it, percentages will be displayed - `verifone_p400` (object, optional) An object containing device type specific settings for Verifone P400 readers - `verifone_p400.splashscreen` (string, optional) A File ID representing an image you would like displayed on the reader. ```curl curl https://api.stripe.com/v1/terminal/configurations/tmc_FQqbaQCiy0m1xc \ -u "<>" \ -d "bbpos_wisepos_e[splashscreen]=file_1NtDiHBHO5VeT9SUjuWGkEAN" ``` ### Response ```json { "id": "tmc_FQqbaQCiy0m1xc", "object": "terminal.configuration", "bbpos_wisepos_e": { "splashscreen": "file_1NtDiPBHO5VeT9SUvD7GHCi0" }, "is_account_default": false, "livemode": false } ```